.chat-window-headline{
  background:#222831;
  padding: 11.5px 12px;
  border-top-right-radius: 10px;
  margin-left: 0px;
  display: flex;
}

.chat-window-headline i{
  vertical-align: center;
  margin-top: 8px;
  font-size: 30px;
  margin-left:20px;
  margin-right:5px;
  transition: 0.5s;
  color: whitesmoke;
}

.profile-pic{
  height: 40px;
  font-size: 10px;
  width: 40px;
  border-radius: 10px;
  padding: 3px;
  margin-top: 0px;
}

.chat-window-headline i:hover{
  color: turquoise;
  cursor: pointer;
}

.chat-window-headline-h{
  width:80%;
  margin-left: 20px;
  overflow: hidden;
  text-overflow: ellipsis;
  font-style: italic;
  font-weight: 500;
  background-color: #393e46;
  color: white;
  border-radius: 10px;
  text-align: center;
  padding: 0px;
  height: 42px;
}

.chat-window{
  background-color: #eeeeee;
  height: 500px;

  overflow-y: scroll;
  overflow-x: hidden;
  scrollbar-color: turquoise #eeeeee;
  scrollbar-width: thin;
  scroll-behavior: smooth;
  padding: 0px;
  padding-top: 5px;
  padding-bottom: 0px;
}

.message-input{
  background-color: #393e46;
  padding-left: 10px;
  padding-top: 6px;
  padding-bottom: 6px;
}

.message-input{
  color: white;
}

.message-input-text{
  width: 85%;
  margin-left: 30px;
  border-radius: 10px;
  border: none;
  text-indent: 7px;
  word-break: break-all;
}

.message-input-text::placeholder{
  font-weight: 100px;
  font-size: 15px;
  text-indent:  20px  20px;
}

.message-input i{
  color: white;
  padding-top: 4px;
  padding-bottom: 5px;
  margin-left: 15px;
  vertical-align: middle;
}

/* Bubbles */

.message{
  border-radius: 15px;
  padding: 10px 10px;
  margin: 5px 5px;
  font-size: 13px;
  word-break: break-all;
}

.message-left{
  background-color: #393e46;
  color: #eeeeee;
  max-width: 80%;
  float:left;
}

.message-right{
  background-color: turquoise;
  color: #222831;
  max-width: 80%;
  float:right;
}

.profile-pic{
  float: left;
  height: 35px;
  width: 35px;
  border-radius: 17.5px;
  vertical-align: middle;
  margin-top: 10px;
}

.message-pic-right{
  display: flex;
  flex-direction: row-reverse;
  justify-content: right;
  margin: 0px 0px;
  padding-left: 10px;
  padding-right: 10px
}

.message-pic-left{
  padding-left: 10px;
  padding-right: 10px;
  display: flex;
  flex-direction: row;
  justify-content: left;
  margin: 0px 0px;
}


/* users-overlay */

.hidden{
  display: none;
  opacity: 0;
}

.show{
  animation-duration: 0.5s;
  animation-name: slidein;
  display: block;
}

.users-overlay{
  height:500px;
}

@keyframes slidein {
  from {
    margin-top: 80%;
    width: 100%;
    opacity: 0;
  }

  to {
    margin-top: 0%;
    width: 100%;
    opacity: 100;
  }
}
